/* slotindex.h
****************************************************************************************************************
****************************************************************************************************************

    Copyright (C) 2021 Askar Almatov

    This file is part of Trafficmeter.

    Trafficmeter is free software: you can redistribute it and/or modify it under the terms of the GNU General
    Public License as published by the Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.

    Trafficmeter is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
    implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License along with Trafficmeter. If not, see
    <http://www.gnu.org/licenses/>.
*/

#ifndef __SLOTINDEX_H
#define __SLOTINDEX_H 1

#include "metadata.h"

namespace trafficmeter
{
    /**********************************************************************************************************/
    struct SlotIndex
    {
        int                             sSlotNo;
        int                             sThreadNo;
        int                             dSlotNo;
        int                             dThreadNo;

                                        SlotIndex( const Metadata& meta, int nThreads );
    };
}

#endif  // __SLOTINDEX_H
